export const SizeLegend = ({
  sizeScale,
  tickSpacing = 20,
  tickColor,
  tickTextOffset = 20,
  onHover,
  hoveredValue,
  fadeOpacity,
  normalOpacity
}) =>
  sizeScale.domain().map((domainValue, i) => (
    <g
      className="tick"
      transform={`translate(0,${i * tickSpacing})`}
      onMouseEnter={() => {
        onHover(domainValue);
      }}
      onMouseOut={() => {
        onHover(null);
      }}
      opacity={hoveredValue && domainValue !== hoveredValue ? fadeOpacity : normalOpacity}
    >
      <circle fill={tickColor} r={sizeScale(domainValue)} />
      <text x={tickTextOffset} dy=".32em">
        {domainValue}
      </text>
    </g>
  ));