import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl = 'https://gist.githubusercontent.com/yuzhang21/7a3fc3afba92196c5f653f5e70d1b0a5/raw/BostonHousing03.csv';

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = d => {
      d.crim = +d.crim;
      d.zn = +d.zn;
      d.industry = +d.indus;
      d.charles = +d.chas;
      d.nox = +d.nox;
      d.room = +d.rm;
      d.age = +d.age;
      d.distance = +d.dis;
      d.radial = +d.rad;
      d.tax = +d.tax;
      d.ptratio = +d.ptratio;
      d.black = +d.b;
      d.lowStat = +d.lstat;
      d.medianValue = +d.medv;
      return d;
    };
    csv(csvUrl, row).then(setData);
  }, []);
  
  return data;
};